import os
import re

from kubernetes import client, config

config.load_incluster_config()
core_api = client.CoreV1Api()

POD_PATTERN: str = os.environ.get('POD_PATTERN')
NAMESPACE = os.environ.get('NAMESPACE', "")
POD_COUNT = os.environ.get('POD_COUNT', 1)



def test_pods_running():
    pods = core_api.list_namespaced_pod(namespace=NAMESPACE, watch=False).items
    matching_pods = [ pod for pod in pods if re.search(POD_PATTERN, pod.metadata.name) ]
    running_pods = [ pod for pod in matching_pods if pod.status.phase == 'Running']
    assert len(running_pods) == int(POD_COUNT)
