import os

MOUNT_PATH: str = os.environ.get('MOUNT_PATH')


def test_read_content_of_files_in_dir():
    """
    Reads the content of all files present in MOUNT_PATH
    :return: None
    """

    if not MOUNT_PATH:
        raise ValueError(f'invalid value found for the following environment variable: MOUNT_PATH: {MOUNT_PATH}')
    
    if not os.path.exists(MOUNT_PATH):
        raise RuntimeError(f'path "{MOUNT_PATH}" does not exist')
    elif not os.path.isdir(MOUNT_PATH):
        raise RuntimeError(f'path "{MOUNT_PATH}" is not a directory')

    files = [ os.path.join(MOUNT_PATH, f) for f in os.listdir(MOUNT_PATH) if os.path.isfile(os.path.join(MOUNT_PATH, f))]
    
    for f in files:
        with open(f, 'r') as file:
            text = file.read()
            print(text)

    assert True
